﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
        <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
        <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="OperationalRiskException.Services.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
    </configSections>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <entityFramework>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="ServiceSoap" />
        <binding name="BasicHttpBinding_IService" />
        <binding name="BasicHttpsBinding_IService">
          <security mode="Transport" />
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://fbsvr:1867/service.asmx" binding="basicHttpBinding" bindingConfiguration="ServiceSoap" contract="EmailReference.ServiceSoap" name="ServiceSoap" />
      <endpoint address="http://apps-automation.ubagroup.com/entrust-svc-v1/Service.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IService" contract="EntrustService.IService" name="BasicHttpBinding_IService" />
      <endpoint address="https://apps-automation.ubagroup.com/entrust-svc-v1/Service.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpsBinding_IService" contract="EntrustService.IService" name="BasicHttpsBinding_IService" />
    </client>
  </system.serviceModel>
  <applicationSettings>
    <OperationalRiskException.Services.Properties.Settings>
      <setting name="OperationalRiskException_Services_EmailServiceReference_Service" serializeAs="String">
        <value>http://10.100.5.195:1867/service.asmx</value>
      </setting>
    </OperationalRiskException.Services.Properties.Settings>
  </applicationSettings>
</configuration>